import { Attribute, Filter } from '@sisense/sdk-data';
/**
 * Clones a filter with a toggled 'disabled' state.
 *
 * @param filter - Filter to clone
 */
export declare const cloneFilterAndToggleDisabled: <TFilter extends Filter>(filter: TFilter) => TFilter;
export declare const cloneFilter: <TFilter extends Filter>(filter: TFilter) => TFilter;
export declare function clearMembersFilter(filter: Filter): Filter;
export declare function isIncludeAllFilter(filter: Filter): boolean;
/** @internal */
export declare function isSameAttribute(attributeA: Attribute, attributeB: Attribute): boolean;
